
        Subroutine sort(par,nx,ny)
        Real par(nx)
        do j=2,ny
        a=par(j)
        do i=j-1,1,-1
        if(par(i).le.a)go to 10
        par(i+1)=par(i)
        enddo
        i=0
 10     par(i+1)=a
        enddo
        return
        end
